OpenNMS API 1.2.9

## org.opennms.protocols.snmp
Class SnmpPduEncodingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.opennms.protocols.snmp.SnmpPduEncodingException

All Implemented Interfaces:
  java.io.Serializable

public class SnmpPduEncodingException
extends java.lang.Exception

This class is thrown by the SNMP classes when an encoding exception occurs at the SNMP level and not via the AsnEncoder class.

Version:
  1.1.1.1
See Also:
  `AsnEncoder`, Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`SnmpPduEncodingException()` The default exception constructor
`SnmpPduEncodingException(java.lang.String why)` The exception constructor

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SnmpPduEncodingException

    public SnmpPduEncodingException()

  The default exception constructor

### SnmpPduEncodingException

    public SnmpPduEncodingException(java.lang.String why)

  The exception constructor

Parameters:
  `why` - The reason the exception is being raised

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.